package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AsymEnvelopeSealReq {

    // 签名证书主题
    private String signSubject;

    // 接收者加密证书
    @NotBlank(message = "加密证书不能为空")
    private String encCert;

    // 明文,使用Base64编码
    @NotBlank(message = "明文不能为空")
    private String plainData;

}
