package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AsymSignP7Req {

    /**
     * 签名证书的主题
     */
    @NotBlank(message = "签名证书不能为空")
    private String subject;

    // 原文,使用Base64编码
    @NotBlank(message = "原文不能为空")
    private String plainData;

}
