package com.sunyard.chsm.param;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liulu
 * @since 2024/12/17
 */
@Data
public class KeyInfoResp {

    /**
     * 密钥ID
     */
    private Long KeyId;
    /**
     * 密钥算法
     */
    private String keyAlg;
    /**
     * 密钥类型
     */
    private String keyType;
    private String keyTypeText;
    /**
     * 密钥用途
     */
    private List<String> keyUsages;
    private String keyUsageText;
    /**
     * 校验算法
     */
    private String checkAlg;
    /**
     * 校验值
     */
    private String checkValue;
    /**
     * 密钥状态
     */
    private String status;
    private String statusText;
    /**
     * 生效时间
     */
    private LocalDateTime effectiveTime;
    /**
     * 过期时间
     */
    private LocalDateTime expiredTime;
    private LocalDateTime createTime;

}
