package com.sunyard;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author liulu
 * @since 2024/10/25
 */
@Slf4j
@EnableAsync
@EnableScheduling
@SpringBootApplication
public class WebManageApp {

    public static void main(String[] args) {
        SpringApplication.run(WebManageApp.class, args);
        log.info("---------------------WebManageApp 启动完成-------------------");
    }

}
